﻿@model IEnumerable<BookStore.Models.Book>

@{
    ViewBag.Title = "Index";
}

<h2>Show all books</h2>
<hr />
<table class="table-striped" border="1">
    <tr>
        <th>
            Book Id
        </th>
        <th>
            Book Name
        </th>
        <th>
            Book Price
        </th>
        <th>
            Book Genre
        </th>

    </tr>

    @foreach (var item in Model)
    {
        if (item.Deleted == "false")
        {
    <tr>
        <td>
            @item.Id
        </td>
        <td>
            @item.Name
        </td>
        <td>
            @item.Price
        </td>
        <td>
            @item.Genre.Name
        </td>
        <td>
            <a href="Book/Delete/@item.Id">Delete</a> | <a href="Book/Edit/@item.Id">Edit</a>
        </td>
    </tr>
        }

    }

</table>
<p>@Html.ActionLink("Back to HomePage", "Create") | @Html.ActionLink("Add new Book", "Create")</p>


